"""
@author: luojunhui
"""
import traceback

from argparse import ArgumentParser

from applications import bot
from tasks.update_published_articles_minigram_detail import UpdatePublishedArticlesMinigramDetail


def main():
    """
    update mini program detail main
    :return:
    """
    parser = ArgumentParser()
    parser.add_argument("--run-date",
                        help="Run only once for date in format of %Y-%m-%d. \
                            If no specified, run as daily jobs.")
    args = parser.parse_args()

    try:
        U = UpdatePublishedArticlesMinigramDetail()
        U.init_database()
    except Exception as e:
        bot(
            title='update mini program detail init database error',
            detail={
                "error": str(e),
                "traceback": traceback.format_exc()
            }
        )
        return
    if args.run_date:
        U.update_published_articles_job(biz_date=args.run_date)
        U.update_mini_program_detail_job(biz_date=args.run_date)
    else:
        U.update_published_articles_job()
        U.update_mini_program_detail_job()
